Package org.eclipse.graphiti.features.context.impl

# Class CreateContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.LocationContext
org.eclipse.graphiti.features.context.impl.AreaContext
org.eclipse.graphiti.features.context.impl.CreateContext

All Implemented Interfaces:
  `IAreaContext`, `IContext`, `ICreateContext`, `ILocationContext`, `ITargetConnectionContext`, `ITargetContext`, `IPropertyBag`

public class CreateContext extends AreaContext implements ICreateContext
The Class CreateContext.

## Constructor Summary

Constructors
Constructor
Description
`CreateContext()`
Creates a new `CreateContext`.

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getTargetConnection()`
Gets the target connection.
`ContainerShape`
`getTargetContainer()`
Gets the target container.
`void`
`setTargetConnection(Connection targetConnection)`
Sets the target connection.
`void`
`setTargetContainer(ContainerShape targetContainer)`
Sets the target container.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### CreateContext

public CreateContext()
Creates a new `CreateContext`.

## Method Details

### getTargetConnection

public Connection getTargetConnection()
Description copied from interface: `ITargetConnectionContext`
Gets the target connection.

Specified by:
  `getTargetConnection` in interface `ITargetConnectionContext`
Returns:
  the target connection where the new pictogram element (currently this has to be a shape) has to be inserted

### getTargetContainer

public ContainerShape getTargetContainer()
Description copied from interface: `ITargetContext`
Gets the target container.

Specified by:
  `getTargetContainer` in interface `ITargetContext`
Returns:
  the target container shape where the new pictogram element (currently this has to be a shape) has to be added

### setTargetConnection

public void setTargetConnection(Connection targetConnection)
Sets the target connection.

Parameters:
  `targetConnection` - The target connection to set.

### setTargetContainer

public void setTargetContainer(ContainerShape targetContainer)
Sets the target container.

Parameters:
  `targetContainer` - The targetContainer to set.

### toString

public String toString()

Overrides:
  `toString` in class `AreaContext`